]> git.madduck.net Git - etc/offlineimap.git/commitdiff

madduck's git repository

Every one of the projects in this repository is available at the canonical URL git://git.madduck.net/madduck/pub/<projectpath> — see each project's metadata for the exact URL.

All patches and comments are welcome. Please squash your changes to logical commits before using git-format-patch and git-send-email to patches@git.madduck.net. If you'd read over the Git project's submission guidelines and adhered to them, I'd be especially grateful.

SSH access, as well as push access can be individually arranged.

If you use my repositories frequently, consider adding the following snippet to ~/.gitconfig and using the third clone URL listed for each project:

[url "git://git.madduck.net/madduck/"]
  insteadOf = madduck:

factor out offlineimap to script and call notmuch
authormartin f. krafft <madduck@madduck.net>
Tue, 2 Feb 2010 02:23:02 +0000 (15:23 +1300)
committermartin f. krafft <madduck@madduck.net>
Tue, 2 Feb 2010 02:26:52 +0000 (15:26 +1300)
Signed-off-by: martin f. krafft <madduck@madduck.net>
.bin/offlineimap [new file with mode: 0755]
.crontab.d/offlineimap

diff --git a/.bin/offlineimap b/.bin/offlineimap
new file mode 100755 (executable)
index 0000000..ad01298
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -eu
+
+if ! test -t 0; then
+  echo Renicing because we are not run interactively… >&2
+  renice 20 -p $$ >/dev/null
+  ionice -c2 -n7 -p $$
+fi
+
+ret=0
+/usr/bin/offlineimap -o "$@" || ret=$?
+
+if [ -x "$(command -v notmuch)" ]; then
+  notmuch new
+fi
+
+exit $ret
index cfbea978953854e2c50af39a6098a6bc7bf46712..907edc9d914ec5c5f0ab98da1231dcd2a071f9fe 100644 (file)
@@ -1,2 +1,2 @@
-*/15 * * * * sleep $((900 * $RANDOM / 32768)) && ip r | grep -q via && ionice -c3 nice -20 offlineimap -o
-38 */4 * * * sleep $((60 * $RANDOM / 32768)) && ip r | grep -q via && ionice -c3 nice -20 offlineimap -oa logcheck
+*/15 * * * * sleep $((900 * $RANDOM / 32768)) && ip r | grep -q via && $HOME/.bin/offlineimap
+38 */4 * * * sleep $((60 * $RANDOM / 32768)) && ip r | grep -q via && $HOME/.bin/offlineimap -a logcheck